# $Revision: 1.13 $, $Date: 2009/01/23 18:11:12 $
Summary:	commons-validator - framework to define validators
Summary(pl.UTF-8):	commons-validator - szkielet do definiowania metod kontrolujących poprawność
Name:		java-commons-validator
Version:	1.2.0
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/commons/validator/source/commons-validator-%{version}-src.tar.gz
# Source0-md5:	984074a3707c4a366f0b08db88d41e4d
URL:		http://commons.apache.org/validator/
BuildRequires:	ant >= 1.5
BuildRequires:	jakarta-oro
BuildRequires:	java-commons-beanutils
BuildRequires:	java-commons-collections
BuildRequires:	java-commons-digester
BuildRequires:	java-commons-logging
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jakarta-oro
Requires:	java-commons-digester
Obsoletes:	jakarta-commons-validator
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The commons-validator package provides a simple, extendable framework
to define validators (validation methods) and validation rules in an
XML file. There is support for internationalization of validation
rules and error messages.

%description -l pl.UTF-8
Pakiet commons-validator udostępnia prosty, rozszerzalny szkielet do
definiowania "validatorów" (metod kontrolujących poprawność danych),
oraz reguł określających poprawność w pliku XML. Pakiet obsługuje
zlokalizowane reguły poprawności oraz komunikaty błędów.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja online do %{name}.

%prep
%setup -q -n commons-validator-%{version}

%build
required_jars="commons-beanutils-core commons-collections commons-digester commons-logging oro"
export CLASSPATH=$(%{_bindir}/build-classpath $required_jars)
%ant dist

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
for a in dist/*.jar; do
	jar=${a##*/}
	cp -a dist/$jar $RPM_BUILD_ROOT%{_javadir}/${jar%%.jar}-%{version}.jar
	ln -s ${jar%%.jar}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/$jar
done

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
	rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(644,root,root,755)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-validator.spec,v $
Revision 1.13  2009/01/23 18:11:12  pawelz
- commons is no longer part of jakarta project

Revision 1.12  2008/12/25 22:08:48  pawelz
- pass correct jar filename to build-classpath

Revision 1.11  2007/04/16 15:57:39  qboosh
- pl desc for -javadoc

Revision 1.10  2007/04/09 22:48:32  glen
- unify java package, builds with java 1.5

Revision 1.9  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.7  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.6  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.5  2005/11/27 01:34:36  qboosh
- updated to 1.2.0, removed obsolete files patch

Revision 1.4  2005/05/08 20:01:36  qboosh
- updated to 1.1.4, added files patch (missing files)
- more BRs for javadoc

Revision 1.3  2004/04/17 13:33:01  saq
- {B,}R: jakarta-commons-digester

Revision 1.2  2003/07/03 22:27:45  qboosh
- description, pl

Revision 1.1  2003/07/02 11:58:42  pascalek
- initial release
